<?php
session_start();
include ('private/mysql.php');
include ('tmp/head.php');


switch($sd){
default:

if($_SESSION['cap_send']!==""){
    echo "$_SESSION[cap_send]";
    $_SESSION['cap_send'] = "";
}

if($_SESSION['cap_ok']!==""){
    echo "$_SESSION[cap_ok]";
    $_SESSION['cap_ok'] = "";
}


$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `exp`='10'");
$e = mysql_num_rows($q);
if($e>='5'){
    echo "Вы можете преобразовать Капсула опыта(x10) 5шт. в Капсула опыта (х50) 1шт.<br><a href='capsul.php?sd=prb10'>Преобразовать</a><hr>";
}
While($w = mysql_fetch_assoc($q)){
    
    echo "<span style='float:left'><img src='img/res/$w[img]'></span>&nbsp;$w[name]<br>&nbsp;Прибавляет <img src='img/exp.png'> $w[exp] опыта<br>&nbsp;[<a href='capsul.php?sd=use&id=$w[id]'>Использовать</a>] [<a href='capsul.php?sd=send&id=$w[id]'>Передать</a>]<hr>";
    
}

$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `exp`='50'");
$e = mysql_num_rows($q);
if($e>='5'){
    echo "Вы можете преобразовать Капсула опыта(x50) 5шт. в Капсула опыта (х250) 1шт.<br><a href='capsul.php?sd=prb50'>Преобразовать</a><hr>";
}
While($w = mysql_fetch_assoc($q)){
    
    echo "<span style='float:left'><img src='img/res/$w[img]'></span>&nbsp;$w[name]<br>&nbsp;Прибавляет <img src='img/exp.png'> $w[exp] опыта<br>&nbsp;[<a href='capsul.php?sd=use&id=$w[id]'>Использовать</a>] [<a href='capsul.php?sd=send&id=$w[id]'>Передать</a>]<hr>";
    
}

$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `exp`='100'");
$e = mysql_num_rows($q);
if($e>='5'){
    echo "Вы можете преобразовать Капсула опыта(x100) 5шт. в Капсула опыта (х500) 1шт.<br><a href='capsul.php?sd=prb100'>Преобразовать</a><hr>";
}
While($w = mysql_fetch_assoc($q)){
    
    echo "<span style='float:left'><img src='img/res/$w[img]'></span>&nbsp;$w[name]<br>&nbsp;Прибавляет <img src='img/exp.png'> $w[exp] опыта<br>&nbsp;[<a href='capsul.php?sd=use&id=$w[id]'>Использовать</a>] [<a href='capsul.php?sd=send&id=$w[id]'>Передать</a>]<hr>";
    
}

$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `exp`='250'");
$e = mysql_num_rows($q);
if($e>='4'){
    echo "Вы можете преобразовать Капсула опыта(x250) 4шт. в Капсула опыта (х1000) 1шт.<br><a href='capsul.php?sd=prb250'>Преобразовать</a><hr>";
}
While($w = mysql_fetch_assoc($q)){
    
    echo "<span style='float:left'><img src='img/res/$w[img]'></span>&nbsp;$w[name]<br>&nbsp;Прибавляет <img src='img/exp.png'> $w[exp] опыта<br>&nbsp;[<a href='capsul.php?sd=use&id=$w[id]'>Использовать</a>] [<a href='capsul.php?sd=send&id=$w[id]'>Передать</a>]<hr>";
    
}


$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `exp`='500'");
While($w = mysql_fetch_assoc($q)){
    
    echo "<span style='float:left'><img src='img/res/$w[img]'></span>&nbsp;$w[name]<br>&nbsp;Прибавляет <img src='img/exp.png'> $w[exp] опыта<br>&nbsp;[<a href='capsul.php?sd=use&id=$w[id]'>Использовать</a>] [<a href='capsul.php?sd=send&id=$w[id]'>Передать</a>]<hr>";
    
}

$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `exp`='1000'");
While($w = mysql_fetch_assoc($q)){
    
    echo "<span style='float:left'><img src='img/res/$w[img]'></span>&nbsp;$w[name]<br>&nbsp;Прибавляет <img src='img/exp.png'> $w[exp] опыта<br>&nbsp;[<a href='capsul.php?sd=use&id=$w[id]'>Использовать</a>] [<a href='capsul.php?sd=send&id=$w[id]'>Передать</a>]<hr>";
    
}


echo "<a href='pers.php?'>Назад</a>";


break;

case 'prb250':
$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `exp`='250'");
$e = mysql_num_rows($q);
if($e<'4'){
    header('Location: capsul.php');
    exit;
}

mysql_query("INSERT INTO `cap_exp` SET `user`='$uid',`name`='Капсула опыта(х1000)',`img`='exp.png',`exp`='1000',`kol`='1'");

mysql_query("DELETE FROM `cap_exp` WHERE `user`='$uid' and `exp`='250' LIMIT 4");

$_SESSION['cap_ok'] = "<font color=lightgreen>Вы успешно преобразовали Капсулу опыта(х1000)</font><hr>";
header('Location: capsul.php');
exit;
break;

case 'prb100':
$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `exp`='100'");
$e = mysql_num_rows($q);
if($e<'5'){
    header('Location: capsul.php');
    exit;
}

mysql_query("INSERT INTO `cap_exp` SET `user`='$uid',`name`='Капсула опыта(х500)',`img`='exp.png',`exp`='500',`kol`='1'");

mysql_query("DELETE FROM `cap_exp` WHERE `user`='$uid' and `exp`='100' LIMIT 5");

$_SESSION['cap_ok'] = "<font color=lightgreen>Вы успешно преобразовали Капсулу опыта(х500)</font><hr>";
header('Location: capsul.php');
exit;
break;

case 'prb50':
$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `exp`='50'");
$e = mysql_num_rows($q);
if($e<'5'){
    header('Location: capsul.php');
    exit;
}

mysql_query("INSERT INTO `cap_exp` SET `user`='$uid',`name`='Капсула опыта(х250)',`img`='exp.png',`exp`='250',`kol`='1'");

mysql_query("DELETE FROM `cap_exp` WHERE `user`='$uid' and `exp`='50' LIMIT 5");

$_SESSION['cap_ok'] = "<font color=lightgreen>Вы успешно преобразовали Капсулу опыта(х250)</font><hr>";
header('Location: capsul.php');
exit;
break;


case 'prb10':
$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `exp`='10'");
$e = mysql_num_rows($q);
if($e<'5'){
    header('Location: capsul.php');
    exit;
}

mysql_query("INSERT INTO `cap_exp` SET `user`='$uid',`name`='Капсула опыта(х50)',`img`='exp.png',`exp`='50',`kol`='1'");

mysql_query("DELETE FROM `cap_exp` WHERE `user`='$uid' and `exp`='10' LIMIT 5");

$_SESSION['cap_ok'] = "<font color=lightgreen>Вы успешно преобразовали Капсулу опыта(х50)</font><hr>";
header('Location: capsul.php');
exit;
break;


case 'send':
$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `id`='$id'");
$e = mysql_num_rows($q);
if($e=='0'){
    header('Location: capsul.php');
    exit;
}
$w = mysql_fetch_assoc($q);


if(empty($_POST['to'])){
    
    echo "<form action='capsul.php?sd=send&id=$w[id]' method='post'>
    Вы отправляете $w[name] игроку:<br>
    <input type='text' name='to' class='enter'><br>
    <input type='submit' name='submit' value='Отправить' class='enter'></form>";
    
}else{
    
    $nick = mysql_real_escape_string(htmlspecialchars($_POST['to']));
    $u = mysql_query("SELECT * FROM `users` WHERE `login`='$nick'");
    $b = mysql_num_rows($u);
    if($b=='0'){
        $_SESSION['cap_send'] = "<font color=red>Такого игрока не существует</font><hr>";
        header('Location: capsul.php');
        exit;
    }
    $us = mysql_fetch_assoc($u);
    
    if($us['level']<'5'){
        echo "Нельзя передавать опыт игроку, чей уровень меньше 5-го.<br><a href='capsul.php'>Назад</a>";
        include ('tmp/foot.php');
        exit;
    }
    
    mysql_query("UPDATE `cap_exp` SET `user`='$us[id]' WHERE `id`='$id' and `user`='$uid'");
    $_SESSION['cap_send'] = "<font color=lightgreen>Вы успешно отправили $w[name] игроку $us[login]</font><hr>";
    header('Location: capsul.php');
    exit;
    
}


break;



case 'use':

$q = mysql_query("SELECT * FROM `cap_exp` WHERE `user`='$uid' and `id`='$id'");
$e = mysql_num_rows($q);
if($e=='0'){
    header('Location: capsul.php');
    exit;
}
$w = mysql_fetch_assoc($q);


mysql_query("UPDATE `users` SET `exp`=`exp`+'$w[exp]' WHERE `id`='$uid'");
mysql_query("DELETE FROM `cap_exp` WHERE `id`='$w[id]' and `user`='$uid'");

$_SESSION['cap_ok']="<font color=lightgreen>Вы успешно использовали $w[name]</font><hr>";
header('Location: capsul.php');
exit;

break;



}
include ('tmp/foot.php');
?>